io.vertx.openapi.validation

## Interface ValidatableResponse

-     public interface ValidatableResponse

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidatableResponse` | `create(int statusCode)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `static ValidatableResponse` | `create(int statusCode, Buffer body, String contentType)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `static ValidatableResponse` | `create(int statusCode, Map<String,String> headers)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `static ValidatableResponse` | `create(int statusCode, Map<String,String> headers, Buffer body, String contentType)` Creates a new `ValidatableResponse` object based on the passed parameters.
    `ResponseParameter` | `getBody()`
    `String` | `getContentType()`
    `Map<String,ResponseParameter>` | `getHeaders()`
    `int` | `getStatusCode()`

- - ### Method Detail

    - #### create

          static ValidatableResponse create(int statusCode)

      Creates a new `ValidatableResponse` object based on the passed parameters.
      Parameters:
        `statusCode` - The related status code
      Returns:
        a `ValidatableResponse` object

    - #### create

          static ValidatableResponse create(int statusCode,
                                            Map<String,String> headers)

      Creates a new `ValidatableResponse` object based on the passed parameters.
      Parameters:
        `statusCode` - The related status code
        `headers` - The related headers
      Returns:
        a `ValidatableResponse` object

    - #### create

          static ValidatableResponse create(int statusCode,
                                            Buffer body,
                                            String contentType)

      Creates a new `ValidatableResponse` object based on the passed parameters.
      Parameters:
        `statusCode` - The related status code
        `body` - The related body
        `contentType` - The related content type
      Returns:
        a `ValidatableResponse` object
      Throws:
        `IllegalArgumentException` - in case body is passed without contentType.

    - #### create

          static ValidatableResponse create(int statusCode,
                                            Map<String,String> headers,
                                            Buffer body,
                                            String contentType)

      Creates a new `ValidatableResponse` object based on the passed parameters.

      Parameters:
        `statusCode` - The related status code
        `headers` - The related headers
        `body` - The related body
        `contentType` - The related content type
      Returns:
        a `ValidatableResponse` object
      Throws:
        `IllegalArgumentException` - in case body is passed without contentType.

    - #### getHeaders

          Map<String,ResponseParameter> getHeaders()

      Returns:
        the header parameters.

    - #### getBody

          ResponseParameter getBody()

      Returns:
        the body.

    - #### getContentType

          String getContentType()

    - #### getStatusCode

          int getStatusCode()

Copyright © 2024 Eclipse. All rights reserved.